Metafunction
IsSimple
Tests type to be simple.
IsSimple<T>::Type
Include Headers
seqan/basic.h
Parameters

T | Type that is tested. Types: SimpleType

Remarks
A simple type is a type that does not need constructors to be created, a destructor to be destroyed, and copy assignment operators or copy constructors to be copied. All POD ("plain old data") types are simple, but some non-POD types could be simple too, e.g. some specializations of SimpleType.
Return Values

Type | True, if T is a simple type, False otherwise. Default: False

See Also
Simple Type, SimpleType
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:50